<div
  class="btn-group-container mat-typography mat-app-background">
  <div class="btn-left-container">
    <app-menu-button
      data-cy="preprocessing-menu-button"
      *ngrxLet="preprocessingMenu$; let preprocessingMenu"
      [buttonValue]="preprocessingMenu?.id"
      [selected]="preprocessingMenu?.selected"
      (buttonClicked)="railMenuItemRoute(preprocessingMenu?.selected, $event.value)">
      <mat-icon>{{preprocessingMenu?.icon}}</mat-icon>
    </app-menu-button>
  </div>
  <mat-sidenav-container
    [@.disabled]="true"
    [hasBackdrop]="false"
    class="side-nav-content-container">
    <mat-sidenav
      #drawer
      opened
      mode="side"
      position="start"
      [ngStyle]="(sidenavWidth$ | async)
        ? {'width': (sidenavWidth$ | async)}
        : initialMaxWidthStyle"
      [style.width.vw]="(sidenavWidth$ | async)"
      [style.max-width.vw]="(sidenavWidth$ | async)">
      <div class="side-nav-overflow side-nav-row-fill">
        <ng-container *ngrxLet="preprocessingMenu$; let preprocessingMenu">
          <div class="menu-item-container" *ngIf="preprocessingMenu.selected">
            <app-preprocessings-label
              [selected]="preprocessingMenu.selected"
              [contentLoaded]="true">
            </app-preprocessings-label>
          </div>
        </ng-container>
      </div>
    </mat-sidenav>
    <mat-sidenav-content
      class="no-transition"
      [style.margin-left.vw]="(sidenavWidth$ | async)">
      <ng-content #sidenavContent></ng-content>
    </mat-sidenav-content>
  </mat-sidenav-container>
</div>
